curl --request PUT \
--url https://api.harmonyforstaffing.com/api/users/123 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true
}'
{
"id": 123,
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true,
"dateAdded": 1679253000
}
Users
Update User
Update an existing user
PUT
/
api
/
users
/
{id}
curl --request PUT \
--url https://api.harmonyforstaffing.com/api/users/123 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true
}'
{
"id": 123,
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true,
"dateAdded": 1679253000
}
Update the details of an existing user.
Path Parameters
integer
required
ID of the user to update
Body Parameters
string
required
First name
string
required
Last name
string
required
Email address
string
Phone number
boolean
Whether the user is active
Response
integer
The ID of the updated user
integer
Unix timestamp when the user was added
curl --request PUT \
--url https://api.harmonyforstaffing.com/api/users/123 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true
}'
{
"id": 123,
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true,
"dateAdded": 1679253000
}